Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.extractor
Class ReflectionUpdater

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.extractor.AbstractUpdater
com.tangosol.util.extractor.ReflectionUpdater`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, ValueUpdater, java.io.Serializable

      public class ReflectionUpdater

extends AbstractUpdater
implements ExternalizableLite, PortableObject

Reflection-based ValueUpdater implementation.

Author:
  gg 2005.10.27
See Also:
  `CompositeUpdater`

Field Summary
`protected java.lang.String` | `m_sMethod` The name of the method to invoke.

Constructor Summary
`ReflectionUpdater()` Default constructor (necessary for the ExternalizableLite interface).
`ReflectionUpdater(java.lang.String sMethod)` Construct a ReflectionUpdater for a given method name.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compare the ReflectionUpdater with another object to determine equality.
`java.lang.String` | `getMethodName()` Determine the name of the method that this extractor is configured to invoke.
`int` | `hashCode()` Determine a hash value for the ReflectionUpdater object according to the general `Object.hashCode()` contract.
`void` | `readExternal(java.io.DataInput in)` Restore the contents of this object by loading the object's state from the passed DataInput object.
`void` | `readExternal(PofReader in)` Restore the contents of a user type instance by reading its state using the specified PofReader object.
`java.lang.String` | `toString()` Provide a human-readable description of this ValueUpdater object.
`void` | `update(java.lang.Object oTarget, java.lang.Object oValue)` Update the state of the passed target object using the passed value. For intrinsic types, the specified value is expected to be a standard wrapper type in the same manner that reflection works; for example, an `int` value would be passed as a `java.lang.Integer`.
`void` | `writeExternal(java.io.DataOutput out)` Save the contents of this object by storing the object's state into the passed DataOutput object.
`void` | `writeExternal(PofWriter out)` Save the contents of a POF user type instance by writing its state using the specified PofWriter object.

Methods inherited from class com.tangosol.util.extractor.AbstractUpdater
`updateEntry`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Field Detail

### m_sMethod

    protected java.lang.String m_sMethod

  The name of the method to invoke.

Constructor Detail

### ReflectionUpdater

    public ReflectionUpdater()

  Default constructor (necessary for the ExternalizableLite interface).

### ReflectionUpdater

    public ReflectionUpdater(java.lang.String sMethod)

  Construct a ReflectionUpdater for a given method name. This implementation assumes that the corresponding classes will have one and only one method with a specified name and this method will have exactly one parameter.
  Parameters:
    `sMethod` - the name of the method to invoke via reflection

Method Detail

### update

    public void update(java.lang.Object oTarget,
                       java.lang.Object oValue)

  Update the state of the passed target object using the passed value. For intrinsic types, the specified value is expected to be a standard wrapper type in the same manner that reflection works; for example, an `int` value would be passed as a `java.lang.Integer`.
  Specified by:
    `update` in interface `ValueUpdater`
  Overrides:
    `update` in class `AbstractUpdater`
  Parameters:
    `oTarget` - the Object to update the state of
    `oValue` - the new value to update the state with

### getMethodName

    public java.lang.String getMethodName()

  Determine the name of the method that this extractor is configured to invoke.
  Returns:
    the name of the method to invoke using reflection

### equals

    public boolean equals(java.lang.Object o)

  Compare the ReflectionUpdater with another object to determine equality.
  Returns:
    true iff this ReflectionUpdater and the passed object are equivalent ReflectionUpdaters

### hashCode

    public int hashCode()

  Determine a hash value for the ReflectionUpdater object according to the general `Object.hashCode()` contract.
  Returns:
    an integer hash value for this ReflectionUpdater object

### toString

    public java.lang.String toString()

  Provide a human-readable description of this ValueUpdater object.
  Returns:
    a human-readable description of this ValueUpdater object

### readExternal

    public void readExternal(java.io.DataInput in)
                      throws java.io.IOException

  Restore the contents of this object by loading the object's state from the passed DataInput object.
  Specified by:
    `readExternal` in interface `ExternalizableLite`
  Parameters:
    `in` - the DataInput stream to read data from in order to restore the state of this object
  Throws:
    `java.io.IOException` - if an I/O exception occurs
    `java.io.NotActiveException` - if the object is not in its initial state, and therefore cannot be deserialized into

### writeExternal

    public void writeExternal(java.io.DataOutput out)
                       throws java.io.IOException

  Save the contents of this object by storing the object's state into the passed DataOutput object.
  Specified by:
    `writeExternal` in interface `ExternalizableLite`
  Parameters:
    `out` - the DataOutput stream to write the state of this object to
  Throws:
    `java.io.IOException` - if an I/O exception occurs

### readExternal

    public void readExternal(PofReader in)
                      throws java.io.IOException

  Restore the contents of a user type instance by reading its state using the specified PofReader object.
  Specified by:
    `readExternal` in interface `PortableObject`
  Parameters:
    `in` - the PofReader from which to read the object's state
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeExternal

    public void writeExternal(PofWriter out)
                       throws java.io.IOException

  Save the contents of a POF user type instance by writing its state using the specified PofWriter object.
  Specified by:
    `writeExternal` in interface `PortableObject`
  Parameters:
    `out` - the PofWriter to which to write the object's state
  Throws:
    `java.io.IOException` - if an I/O error occurs

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.